# Search - by Transaction Descriptor
source: https://developer.mastercard.com/merchant-identifier/documentation/tutorials-and-guides/search-by-descriptor/index.md

This API has the capability to match merchants within transaction data. In this example we will query for merchants matching the merchant identifier of 'DOLIUMPTYLTDWELSHPOOLWA'

As an output, the Merchant Identifier API provides location Id (internal Mastercard Id) for each merchant location and additional merchant details like merchant address, state, country, phone number, MCC code etc.

The merchant descriptor endpoint also provides a confidence score of the match along with the merchant details (proprietary fuzzy match algorithm).

The location Id provided as an output in both the endpoints can be used to pull out more merchant information from the Mastercard Places API.

**Note :** The merchant descriptor used in this example is available in the sandbox. Found [here](https://static.developer.mastercard.com/content/merchant-identifier/uploads/merchant-identifier-sandbox-merchant-descriptors.xlsx)

**RESTful GET Request**


API Reference: `GET /merchants`

<br />

**RESTful Request Parameters**

```javascript
merchant_descriptor=JOHNDOERETAILNEWYORKNY  
```

**RESTful Response:**

```json
{
  "merchants": [
    {
      "matchConfidenceScore": 87,
      "address": {
        "line1": "STREET 67899",
        "city": "NEW YORK",
        "postalCode": "12345",
        "country": {
          "code": "USA",
          "name": "UNITED STATES OF AMERICA"
        }
      },
      "brandName": "JOHN DOE RETAILERS",
      "merchantCategory": "5411 - GROCERY STORE AND SUPERMARKET",
      "merchantDbaName": "JOHN DOE",
      "merchantDescriptor": "JOHNDOERETAILNEWYORKNY",
      "legalCorporateName": "JOHN DOE LLC",
      "locationId": 1174012564,
      "isBrickAndMortar": false,
      "isEcommerce": true
    }
  ]
}
```

